/*
 * Class TABLE [NATURAL_32, POINTER]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_2178 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_2178 [] = {0xFF01,1551,2177,851,881,0xFFFF};
static const EIF_TYPE_INDEX egt_2_2178 [] = {0xFF01,2177,851,881,0xFFFF};
static const EIF_TYPE_INDEX egt_3_2178 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_2178 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_2178 [] = {0xFF01,2177,851,881,0xFFFF};
static const EIF_TYPE_INDEX egt_6_2178 [] = {0xFF01,2177,851,881,0xFFFF};
static const EIF_TYPE_INDEX egt_7_2178 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_2178 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_2178 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_2178 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_2178 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_2178 [] = {2177,851,881,0xFFFF};
static const EIF_TYPE_INDEX egt_13_2178 [] = {0xFF01,2177,851,881,0xFFFF};
static const EIF_TYPE_INDEX egt_14_2178 [] = {0xFF01,1902,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_2178 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_16_2178 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_17_2178 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_18_2178 [] = {0xFFF8,2,0xFFFF};


static const struct desc_info desc_2178[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_2178), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_2178), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_2178), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_2178), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_2178), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_2178), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_2178), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_2178), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_2178), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_2178), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_2178), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_2178), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_2178), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_2178), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8643, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8644, 0},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8645, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8646, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8647, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_2178), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_2178), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9036, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9073, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9037, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9038, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_2178), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_2178), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_2178), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
};
void Init2178(void)
{
	IDSC(desc_2178, 0, 2177);
	IDSC(desc_2178 + 1, 1, 2177);
	IDSC(desc_2178 + 32, 1134, 2177);
	IDSC(desc_2178 + 41, 1135, 2177);
	IDSC(desc_2178 + 50, 916, 2177);
	IDSC(desc_2178 + 56, 778, 2177);
}


#ifdef __cplusplus
}
#endif
